> For the complete documentation index, see [llms.txt](https://help.pickzen.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.pickzen.com/developers/sdk/documentation/endslide.md).

# EndSlide

This class extends the Slide class and models the end slide.

```javascript
/**
 * Returns 'End'
 *
 * @returns {string}
 */
getType() 

/**
 * Returns true if the results have already been fetched 
 * from the server and can be displayed.
 *
 * @returns {boolean}
 */
areResultsLoaded() 

/**
 * Returns the number of featured products.
 * 
 * @returns {*|number}
 */
getNumberOfFeaturedProducts() 

/**
 * Returns the add all to cart title.
 *
 * @returns {*}
 */
getAddAllToCartTitle() 

/**
 * Adds featured products to cart
 */
addAllToCart() 

/**
 * Fetches the results from the server and returns a promise 
 * that when resolved will contain the results.
 *
 * @returns {Promise<Result>}
 */
getResults()

/**
 * Restart the quiz.
 */
restart() 

/**
 * Return true if we can go back to the previous slide.
 *
 * @returns {boolean}
 */
canBack()

/**
 * Goes back and enters again the 'doing' state.
 */
back() 

/**
 * Returns true if results has to be displayed in slots
 *
 * @returns {boolean}
 */
hasSlots() 

/**
 * Returns the slot definition.
 *
 * @returns {map}
 */
getSlots()

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.pickzen.com/developers/sdk/documentation/endslide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
